> For the complete documentation index, see [llms.txt](https://developer.harness.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.harness.io/api-reference/software-delivery-agent-apis/code-repository/space.md).

# Space

## GET /usage/metric

> Get account usage metrics and storage limits

```json
{"openapi":"3.0.0","info":{"title":"API Specification","version":"1.111.0"},"servers":[{"url":"gateway/code/api/v1"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"scheme":"bearer","type":"http"}},"schemas":{"SpaceUsageMetric":{"properties":{"bandwidth_in":{"type":"integer"},"bandwidth_out":{"type":"integer"},"lfs_storage_total":{"type":"integer"},"pushes":{"type":"integer"},"root_space_id":{"type":"integer"},"root_space_identifier":{"type":"string"},"storage_limits":{"$ref":"#/components/schemas/SpaceStorageLimits"},"storage_total":{"type":"integer"}},"type":"object"},"SpaceStorageLimits":{"properties":{"account_storage_enforced":{"type":"boolean"},"critical_percent":{"type":"integer"},"limit_bytes":{"description":"A byte count, string-encoded to survive JavaScript number precision.","type":"string"},"repo_size_hard_enforced":{"type":"boolean"},"repo_size_hard_limit_bytes":{"description":"A byte count, string-encoded to survive JavaScript number precision.","type":"string"},"repo_size_soft_limit_bytes":{"description":"A byte count, string-encoded to survive JavaScript number precision.","type":"string"},"tier":{"type":"string"},"used_bytes":{"description":"A byte count, string-encoded to survive JavaScript number precision.","type":"string"},"used_percent":{"type":"integer"},"warn_percent":{"type":"integer"}},"type":"object"},"UsererrorError":{"properties":{"message":{"type":"string"},"values":{"additionalProperties":{},"type":"object"}},"type":"object"}}},"paths":{"/usage/metric":{"get":{"operationId":"getSpaceUsageMetric","parameters":[{"description":"Account Identifier for the Entity.","in":"query","name":"accountIdentifier","required":true,"schema":{"type":"string"}},{"description":"Organization Identifier for the Entity.","in":"query","name":"orgIdentifier","required":false,"schema":{"type":"string"}},{"description":"Project Identifier for the Entity.","in":"query","name":"projectIdentifier","required":false,"schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SpaceUsageMetric"}}},"description":"OK"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Forbidden"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsererrorError"}}},"description":"Internal Server Error"}},"summary":"Get account usage metrics and storage limits","tags":["space"]}}}}
```
